<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form task 4</title>
  <script>
    /*
      Задание:

      1. Сгенерировать список стран в Select countries
      2. При выборе страны генерировать еще один Select со списком
        городов этой страны и вывести этот селект в блок result
      3. При выборе города нужно случайно рандомить температуру от
      -10 градусов до +40. Если температура

        -10 до 0 то 'Солнечно' 'Легкий снегопад' 'Сильный снегопад'
        0 до 30 то  'Солнечно' 'Дождь' 'Ветер' 'Сильный дождь'
        30 до 40 то 'Солнечно' 'Засуха' 'Ветер'

      4. Вывести сообщение на страничку
        {Country}. В {City} {Weather} {Temperature} градусов.
        Ukraine. В Kyiv Солнечно -10 градусов

        + бонус добавить красивые картинки с погодой
    */

    let countries = ['Ukraine', 'Poland', 'USA'];
    let ukraineCity = ['Kyiv', 'Lviv', 'Odesa', 'Charkiv'];
    let polandCity = ['Warszawa', 'Poznan', 'Krakow', 'Katowice'];
    let usaCity = ['New York', 'Los Angeles', 'Las Vegas', 'Chicago'];
    let mapping = {
      Ukraine: ukraineCity,
      Poland: polandCity,
      USA: usaCity,
    }

    window.addEventListener("load", function () {
      let countriesSelect = document.getElementById('countries');
      let defaultCountry = new Option('Select country', 'all', true, true);
      countriesSelect.appendChild(defaultCountry);
      countries.forEach(function (country) {
        let cntrOption = new Option(country, country);
        countriesSelect.appendChild(cntrOption);
      });

      countriesSelect.addEventListener('change', countriesHandler);
    });
    
    function countriesHandler (e) {
      result.innerHTML = null;
      let selectedCountry = e.target.value;
      if (selectedCountry !== 'all') {
        let defaultCity = new Option('Select city', 'all', true, true);
        let citiesSelect = document.createElement('select');
        citiesSelect.id = 'cities';
        citiesSelect.appendChild(defaultCity);

        mapping[selectedCountry].forEach(function (city) {
          let cOption = new Option(city, city);
          citiesSelect.appendChild(cOption);
        })
        result.appendChild(citiesSelect);

        let weatherResult = document.createElement('div');
        weatherResult.id = 'weatherResult';
        result.appendChild(weatherResult);

        citiesSelect.addEventListener('change', citiesHandler);
      }
    }
    
    function citiesHandler (e) {
      let country = document.getElementById('countries').value;
      let city = e.target.value;
      let temperature = getRandomIntInclusive(-10, 40);

      let weatherOptions = [];
      if (temperature < 0) {
        weatherOptions = ['Солнечно', 'Легкий снегопад', 'Сильный снегопад'];
      }
      else if (temperature < 30) {
        weatherOptions = ['Солнечно', 'Дождь', 'Ветер', 'Сильный дождь'];
      } else {
        weatherOptions = ['Солнечно', 'Засуха', 'Ветер'];
      }
      let weatherKey = getRandomIntInclusive(0, weatherOptions.length - 1);

      document.getElementById('weatherResult').innerHTML =
        country + '. В ' + city + ' ' + weatherOptions[weatherKey] + ' ' + temperature + ' градусов.';
    }

    function getRandomIntInclusive(min, max) {
      min = Math.ceil(min);
      max = Math.floor(max);
      return Math.floor(Math.random() * (max - min + 1)) + min;
    }

  </script>
</head>
<body>
  <select id="countries"></select>
  <div id="result"></div>
</body>
</html>